# class Chef::Resource::Env

### Public Class Methods

new(name, run_context=nil) click to toggle source
Calls superclass method Chef::Resource.new

    # File lib/chef/resource/env.rb, line 28
    def initialize(name, run_context=nil)
      super
      @resource_name = :env
      @key_name = name
      @value = nil
      @action = :create
      @delim = nil
      @allowed_actions.push(:create, :delete, :modify)
    end

### Public Instance Methods

delim(arg=nil) click to toggle source

    # File lib/chef/resource/env.rb, line 54
    def delim(arg=nil)
      set_or_return(
        :delim,
        arg,
        :kind_of => [ String ]
      )
    end

key_name(arg=nil) click to toggle source

    # File lib/chef/resource/env.rb, line 38
    def key_name(arg=nil)
      set_or_return(
        :key_name,
        arg,
        :kind_of => [ String ]
      )
    end

value(arg=nil) click to toggle source

    # File lib/chef/resource/env.rb, line 46
    def value(arg=nil)
      set_or_return(
        :value,
        arg,
        :kind_of => [ String ]
      )
    end